lkml.org 
[lkml]   [1997]   [Jul]   [7]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRe: Don't use 2.1.44
Date
> 
> Message from Linus (whose system is currently screwed):
>
> WARNING: Using Linux kernel 2.1.44 can cause fatal filesystem
> corruption!!!
>
> Seems like the new dcache code is, ahem, buggy...

Won't compile anyway if you have any of the following filesystems.

mullet:/usr/tmp/linux-2.1.44/fs$ grep -l s_mounted */*
affs/inode.c
fat/inode.c
hpfs/hpfs_fs.c
isofs/inode.c
minix/inode.c
ncpfs/inode.c
nfsd/export.c
nfsd/vfs.c
romfs/inode.c
smbfs/inode.c
sysv/inode.c
ufs/ufs_super.c
umsdos/dir.c
umsdos/inode.c
umsdos/rdir.c

Looks easy enough to fix, but I won't provide a patch here. I'd only
be modifying these files similarly to others that have been patched,
without fully understanding the code. ("Since when has that been a
requirement before posting half-baked patches?", I hear you ask. :-) )

\
 
 \ /
  Last update: 2005-03-22 13:39    [W:0.046 / U:0.424 seconds]
©2003-2017 Jasper Spaans. hosted at Digital OceanAdvertise on this site